%global srcname sphinx-issues
%global modname %(n=%{srcname}; echo ${n//-/_})

Name:           python-%{srcname}
Version:        0.3.0
Release:        1%{?dist}
Summary:        Sphinx extension for linking to your project's issue tracker

License:        MIT and BSD
URL:            https://github.com/sloria/sphinx-issues
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%global _description \
%{summary}.\
Includes roles for linking to both issues and user profiles,\
with built-in support for GitHub (though this works with other services).

%description %{_description}

%package     -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-pytest
BuildRequires:  python2-sphinx
BuildRequires:  python2-mock
Requires:       python2-sphinx

%description -n python2-%{srcname} %{_description}

Python 2 version.

%package     -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-sphinx
Requires:       python3-sphinx

%description -n python3-%{srcname} %{_description}

Python 3 version.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
py.test-%{python2_version} -v
py.test-%{python3_version} -v

%files -n python2-%{srcname}
%license LICENSE NOTICE
%doc README.rst
%{python2_sitelib}/%{modname}-*.egg-info/
%{python2_sitelib}/%{modname}.py*

%files -n python3-%{srcname}
%license LICENSE NOTICE
%doc README.rst
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}.py
%{python3_sitelib}/__pycache__/%{modname}.*

%changelog
* Mon Jan 09 2017 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.3.0-1
- Initial package
